Skip to content

Create FHIR r4 parameters

Request

Security
bearer or bearer
Path
siteIdstringrequired

Site identifier

Bodyapplication/jsonrequired
resourceTypeanyrequired

This is a Parameters resource

Value:"Parameters"
Example:"Parameters"
idstring(id)^[A-Za-z0-9\-\.]{1,64}$

The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

Example:"example-id"
metaobject(Meta)

The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.

implicitRulesstring(uri)^\S*$

A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.

Example:"https://example.org/resource"
_implicitRulesobject(Element)

Extensions for implicitRules

languagestring(code)^[^\s]+(\s[^\s]+)*$

The base language in which the resource is written.

Example:"sample-code"
_languageobject(Element)

Extensions for language

parameterArray of objects(Parameters_Parameter)

A parameter passed to or received from the operation.

Example:
[ { "name": "exact", "valueBoolean": true }, { "name": "property", "part": [ … ] }, { "name": "patient", "resource": { … } } ]
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/fhir/openapi/site/{siteId}/fhir/parameters' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "resourceType": "Parameters",
    "parameter": [
      {
        "name": "exact",
        "valueBoolean": true
      },
      {
        "name": "property",
        "part": [
          {
            "name": "code",
            "valueCode": "focus"
          },
          {
            "name": "value",
            "valueCode": "top"
          }
        ]
      },
      {
        "name": "patient",
        "resource": {
          "resourceType": "Patient",
          "id": "example",
          "name": [
            {
              "use": "official",
              "family": "Chalmers",
              "given": [
                "Peter",
                "James"
              ]
            }
          ]
        }
      }
    ]
  }'

Responses

Bodyapplication/json
resourceTypeanyrequired

This is a Parameters resource

Value:"Parameters"
Example:"Parameters"
idstring(id)^[A-Za-z0-9\-\.]{1,64}$

The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.

Example:"example-id"
metaobject(Meta)

The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.

implicitRulesstring(uri)^\S*$

A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.

Example:"https://example.org/resource"
_implicitRulesobject(Element)

Extensions for implicitRules

languagestring(code)^[^\s]+(\s[^\s]+)*$

The base language in which the resource is written.

Example:"sample-code"
_languageobject(Element)

Extensions for language

parameterArray of objects(Parameters_Parameter)

A parameter passed to or received from the operation.

Example:
[ { "name": "exact", "valueBoolean": true }, { "name": "property", "part": [ … ] }, { "name": "patient", "resource": { … } } ]
Response
{ "resourceType": "Parameters", "parameter": [ { … }, { … }, { … } ] }